/*! minireset.css v0.0.6 | MIT License | github.com/jgthms/minireset.css */
html,body,p,ol,ul,li,dl,dt,dd,blockquote,figure,fieldset,legend,textarea,pre,iframe,hr,h1,h2,h3,h4,h5,h6{margin:0;padding:0}h1,h2,h3,h4,h5,h6{font-size:100%;font-weight:normal}ul{list-style:none}button,input,select{margin:0}html{box-sizing:border-box}*,*::before,*::after{box-sizing:inherit}img,video{height:auto;max-width:100%}iframe{border:0}table{border-collapse:collapse;border-spacing:0}td,th{padding:0}

@font-face {
  font-family: Nunito;
  src: url('fonts/nunito.woff2');
}

@font-face {
  font-family: Unbounded;
  src: url('fonts/unbounded.woff2');
}

body {
  --background-color: #f4f4f4;
  --background-color-darker: #dde0e4;
  --background-color-lighter: #fff;

  --divider-color: #bec5ce;
  --highlight-color: #3b93ff;
  --highlight-secondary-color: rgb(252, 190, 57);

  --text-color: #181a1d;
  --text-color-highlight: #fff;
  --text-color-lighter: #26292e;
  --text-color-logo: #754e36;

  --scrollbar-color: #00000019;
  --scrollbar-color-hover: #00000026;
  --scrollbar-color-active: #0000002b;
}

body.dark-mode {
  --background-color: #171d25;
  --background-color-darker: #11151c;
  --background-color-lighter: #222832;

  --divider-color: #c6cdd644;
  --highlight-color: #3578c8;

  --text-color: #e0e3e7;
  --text-color-lighter: #f5f5f5;
  --text-color-logo: #d6d6d6;

  --scrollbar-color: #ffffff19;
  --scrollbar-color-hover: #ffffff26;
  --scrollbar-color-active: #ffffff2b;
}

*::-webkit-scrollbar {
  width: 0.5rem;
  height: 0.5rem;
}

*::-webkit-scrollbar-thumb {
  background: var(--scrollbar-color);
}

*::-webkit-scrollbar-thumb:hover {
  background: var(--scrollbar-color-hover);
}

*::-webkit-scrollbar-thumb:active {
  background: var(--scrollbar-color-active);
}

body {
  box-sizing: border-box;
  background: var(--background-color-darker);
  color: var(--text-color);
  font-family: "Nunito", Verdana, Geneva, Tahoma, sans-serif;
  line-height: 1.5;
  scroll-behavior: smooth;
  -webkit-font-smoothing: antialiased;
}

a {
  color: inherit;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

button {
  border: none;
  padding: 0.375rem 0.5rem;
  cursor: pointer;
}

h1, h2, h3, p {
  overflow-wrap: break-word;
}

h1, h2 {
  font-family: "Unbounded";
  margin: 1rem 0;
}

h1 {
  font-weight: 700;
  font-size: 1.5em;
}

h2 {
  font-weight: 300;
  font-size: 1.4em;
}

h3 {
  font-weight: 700;
  font-size: 1.1em;
  margin: .5rem 0;
}

.highlight {
  background-color: var(--highlight-color);
  color: var(--text-color-highlight);
}

.light {
  color: var(--text-color-lighter);
}

.rounded {
  border-radius: 0.375rem;
}

#content {
  display: grid;
  position: relative;
  padding: 1.5rem 2rem;
  column-gap: 4.5rem;
  min-height: 100vh;
  grid-template-columns: 18rem 1fr;
  grid-template-rows: repeat(2, min-content) 1fr;
  grid-template-areas:
    "header main"
    "aside main"
    "footer main";
}

#content > aside {
  grid-area: aside;
}

#content > footer {
  grid-area: footer;
}

#content > header {
  grid-area: header;
}

#content > main {
  grid-area: main;
}

@media screen and (max-width: 1480px) {
  #content {
    column-gap: 3rem;
    padding: 1.5rem 1.5rem;
  }
}

@media screen and (max-width: 1024px) {
  h1 {
    margin: .75rem 0;
  }
  h2 {
    margin: .5rem 0;
  }
  #content {
    grid-template-columns: 225px 1fr;
    column-gap: 2rem;
    padding: 1.5rem 1rem;
  }
}

@media screen and (max-width: 820px) {
  #content {
    padding: 0;
    grid-template-columns: 1fr;
    grid-template-areas:
      "header"
      "main"
      "footer";
  }
  #content > aside {
    display: none;
  }
}
